Bug 1307267 - Building rhythmbox with lirc-devel installed renders unpackaged files.
Building rhythmbox with lirc-devel installed renders unpackaged files.
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: rhythmbox (Show other bugs)
7.2
Unspecified Unspecified
unspecified Severity low
: rc
: ---
Assigned To: Bastien Nocera
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-13 15:18 EST by Leonard den Ottolander
Modified: 2016-05-19 14:06 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-19 14:06:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Leonard den Ottolander 2016-02-13 15:18:38 EST
When building rhythmbox-2.99.1-4.srpm with lirc-devel install will render two unpackaged files:

error: Installed (but unpackaged) file(s) found:
   /usr/lib64/rhythmbox/plugins/rblirc/librblirc.so
   /usr/lib64/rhythmbox/plugins/rblirc/rblirc.plugin

The absence of lirc-devel will result in a successful build (the above files will not be created in that case).

To avoid the lirc plugin from being built in an environment where lirc-devel is installed add --enable-lirc=no to the configure step in the SPEC file. This makes explicit what is now implicit, i.e. that the lirc plugin is not being built.

When the intention is to build with the lirc plugin a BuildRequires lirc-devel should be added to the SPEC file. Adding --enable-lirc to the configure step is not required as configure will pick up the installed lirc-devel.


--- rhythmbox.spec-2.99.1-4     2015-05-21 19:39:38.000000000 +0200
+++ rhythmbox.spec      2016-02-13 21:17:00.466096997 +0100
@@ -83,6 +83,7 @@ a Rhythmbox plugin.
 %build
 %configure \
       --with-ipod \
+      --enable-lirc=no \
       --without-hal
 
 make %{?_smp_mflags}
Comment 2 Bastien Nocera 2016-05-19 11:25:11 EDT
RPM files are made to be built in a stable and clean environment, so this really isn't a problem for building RHEL packages.
Comment 3 RHEL Product and Program Management 2016-05-19 14:06:37 EDT
Development Management has reviewed and declined this request.
You may appeal this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.